booster.h File Reference
`#include <ubuntu/visibility.h>`
`#include <stdint.h>`
`#include <stddef.h>`
Include dependency graph for booster.h:

Go to the source code of this file.

## Typedefs

typedef UbuntuHardwareBoosterScenario | UHardwareBoosterScenario
| Enumerates all known performance boosting scenarios. More...
typedef UbuntuHardwareBooster | UHardwareBooster
| UbuntuHardwareBooster is an opaque type providing access to the performance booster capabilities of the HW and drivers. More...

## Enumerations

enum | UbuntuHardwareBoosterScenario { U_HARDWARE_BOOSTER_SCENARIO_USER_INTERACTION }

## Functions

UBUNTU_DLL_PUBLIC UHardwareBooster * | u_hardware_booster_new ()
| u_hardware_booster_new creates a new UHardwareBooster* instance with an initial referrence count of 1. More...
UBUNTU_DLL_PUBLIC void | u_hardware_booster_ref (UHardwareBooster *)
| u_hardware_booster_ref increases the reference count of booster by 1. More...
UBUNTU_DLL_PUBLIC void | u_hardware_booster_unref (UHardwareBooster *)
| u_hardware_booster_unref decreases the reference count of booster by 1. More...
UBUNTU_DLL_PUBLIC void | u_hardware_booster_enable_scenario (UHardwareBooster *, UHardwareBoosterScenario)
UBUNTU_DLL_PUBLIC void | u_hardware_booster_disable_scenario (UHardwareBooster *, UHardwareBoosterScenario)

## Typedef Documentation

typedef UbuntuHardwareBooster UHardwareBooster

UbuntuHardwareBooster is an opaque type providing access to the performance booster capabilities of the HW and drivers.

Definition at line 41 of file booster.h.

typedef UbuntuHardwareBoosterScenario UHardwareBoosterScenario

Enumerates all known performance boosting scenarios.

Definition at line 37 of file booster.h.

## Enumeration Type Documentation

enum UbuntuHardwareBoosterScenario

Enumerator
U_HARDWARE_BOOSTER_SCENARIO_USER_INTERACTION | Boost device performance to account for user interacting with device.

Definition at line 30 of file booster.h.

## Function Documentation

UBUNTU_DLL_PUBLIC void u_hardware_booster_disable_scenario | ( | UHardwareBooster * | ,
|  | UHardwareBoosterScenario |
| ) |  |

u_hardware_booster_enable_scenario informs booster that scenario is no longer active.

UBUNTU_DLL_PUBLIC void u_hardware_booster_enable_scenario | ( | UHardwareBooster * | ,
|  | UHardwareBoosterScenario |
| ) |  |

u_hardware_booster_enable_scenario informs booster to ramp up system performance to support scenario.

UBUNTU_DLL_PUBLIC UHardwareBooster* u_hardware_booster_new | ( |  | ) |

u_hardware_booster_new creates a new UHardwareBooster* instance with an initial referrence count of 1.

UBUNTU_DLL_PUBLIC void u_hardware_booster_ref | ( | UHardwareBooster * |  | ) |

u_hardware_booster_ref increases the reference count of booster by 1.

UBUNTU_DLL_PUBLIC void u_hardware_booster_unref | ( | UHardwareBooster * |  | ) |

u_hardware_booster_unref decreases the reference count of booster by 1.